Loading...
Searching...
No Matches
hcube.cc File Reference

This file contains the Refinement implementation for hypercubes (quadrilaterals, hexahedrons, etc.). More...

`#include <cassert>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/iteratorfacades.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/geometry/axisalignedcubegeometry.hh>`
`#include "base.cc"`

Go to the source code of this file.

## Classes

class | Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >
| Refinement implementation for hypercubes More...
struct | Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >::Codim< codimension >
class | Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, codimension >
| SubEntityIterator base class for hypercube refinement. More...
class | Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, dimension >
class | Dune::RefinementImp::HCube::RefinementSubEntityIteratorSpecial< dimension, CoordType, 0 >
class | Dune::RefinementImp::HCube::RefinementImp< dimension_, CoordType >::Codim< codimension >

## Namespaces

namespace | Dune
namespace | Dune::RefinementImp
| This namespace contains the implementation of Refinement.
namespace | Dune::RefinementImp::HCube
| This namespace contains the Refinement implementation for hypercubes (GeometryType::cube).

## Macros

#define | DUNE_GEOMETRY_REFINEMENT_HCUBE_CC

## Detailed Description

This file contains the Refinement implementation for hypercubes (quadrilaterals, hexahedrons, etc.).

See Refinement implementation for hypercubes.

## Macro Definition Documentation

## DUNE_GEOMETRY_REFINEMENT_HCUBE_CC

#define DUNE_GEOMETRY_REFINEMENT_HCUBE_CC